IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network224.218.0.0/15
Usable hosts131,070
Subnet mask255.254.0.0
Addresses131,072
- Network address
224.218.0.0- Broadcast address
224.219.255.255- First usable
224.218.0.1- Last usable
224.219.255.254- Usable hosts
- 131,070 (131,072 less the network and broadcast addresses)
- Subnet mask
255.254.0.0- Wildcard mask
0.1.255.255(Cisco ACLs, OSPF)- Prefix length
- /15
- Type
- Multicast 224.0.0.0/4
One-to-many traffic, such as IPTV and routing protocols - Old class
- D (multicast)
- As numbers
- Hex
E0DA0000· Integer3772383232to3772514303 - Reverse DNS zones
218.224.in-addr.arpa219.224.in-addr.arpa
/15 is not on a 8-bit boundary, so it takes 2 /16 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 11100000.11011010.00000000.00000000 | 224.218.0.0 |
| Subnet mask | 11111111.11111110.00000000.00000000 | 255.254.0.0 |
| Network | 11100000.11011010.00000000.00000000 | 224.218.0.0 |
| Broadcast | 11100000.11011011.11111111.11111111 | 224.219.255.255 |
Split into smaller subnets
/16 (2)/17 (4)/18 (8)/19 (16)/20 (32)/21 (64)/22 (128)/23 (256)/24 (512)/25 (1,024)/26 (2,048)/27 (4,096)
224.218.0.0/15 makes 256 subnets of /23.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 224.218.0.0/23 | 224.218.0.1 to 224.218.1.254 | 224.218.1.255 | 510 |
| 2 | 224.218.2.0/23 | 224.218.2.1 to 224.218.3.254 | 224.218.3.255 | 510 |
| 3 | 224.218.4.0/23 | 224.218.4.1 to 224.218.5.254 | 224.218.5.255 | 510 |
| 4 | 224.218.6.0/23 | 224.218.6.1 to 224.218.7.254 | 224.218.7.255 | 510 |
| 5 | 224.218.8.0/23 | 224.218.8.1 to 224.218.9.254 | 224.218.9.255 | 510 |
| 6 | 224.218.10.0/23 | 224.218.10.1 to 224.218.11.254 | 224.218.11.255 | 510 |
| 7 | 224.218.12.0/23 | 224.218.12.1 to 224.218.13.254 | 224.218.13.255 | 510 |
| 8 | 224.218.14.0/23 | 224.218.14.1 to 224.218.15.254 | 224.218.15.255 | 510 |
| 9 | 224.218.16.0/23 | 224.218.16.1 to 224.218.17.254 | 224.218.17.255 | 510 |
| 10 | 224.218.18.0/23 | 224.218.18.1 to 224.218.19.254 | 224.218.19.255 | 510 |
| 11 | 224.218.20.0/23 | 224.218.20.1 to 224.218.21.254 | 224.218.21.255 | 510 |
| 12 | 224.218.22.0/23 | 224.218.22.1 to 224.218.23.254 | 224.218.23.255 | 510 |
| 13 | 224.218.24.0/23 | 224.218.24.1 to 224.218.25.254 | 224.218.25.255 | 510 |
| 14 | 224.218.26.0/23 | 224.218.26.1 to 224.218.27.254 | 224.218.27.255 | 510 |
| 15 | 224.218.28.0/23 | 224.218.28.1 to 224.218.29.254 | 224.218.29.255 | 510 |
| 16 | 224.218.30.0/23 | 224.218.30.1 to 224.218.31.254 | 224.218.31.255 | 510 |
| 17 | 224.218.32.0/23 | 224.218.32.1 to 224.218.33.254 | 224.218.33.255 | 510 |
| 18 | 224.218.34.0/23 | 224.218.34.1 to 224.218.35.254 | 224.218.35.255 | 510 |
| 19 | 224.218.36.0/23 | 224.218.36.1 to 224.218.37.254 | 224.218.37.255 | 510 |
| 20 | 224.218.38.0/23 | 224.218.38.1 to 224.218.39.254 | 224.218.39.255 | 510 |
| 21 | 224.218.40.0/23 | 224.218.40.1 to 224.218.41.254 | 224.218.41.255 | 510 |
| 22 | 224.218.42.0/23 | 224.218.42.1 to 224.218.43.254 | 224.218.43.255 | 510 |
| 23 | 224.218.44.0/23 | 224.218.44.1 to 224.218.45.254 | 224.218.45.255 | 510 |
| 24 | 224.218.46.0/23 | 224.218.46.1 to 224.218.47.254 | 224.218.47.255 | 510 |
| 25 | 224.218.48.0/23 | 224.218.48.1 to 224.218.49.254 | 224.218.49.255 | 510 |
| 26 | 224.218.50.0/23 | 224.218.50.1 to 224.218.51.254 | 224.218.51.255 | 510 |
| 27 | 224.218.52.0/23 | 224.218.52.1 to 224.218.53.254 | 224.218.53.255 | 510 |
| 28 | 224.218.54.0/23 | 224.218.54.1 to 224.218.55.254 | 224.218.55.255 | 510 |
| 29 | 224.218.56.0/23 | 224.218.56.1 to 224.218.57.254 | 224.218.57.255 | 510 |
| 30 | 224.218.58.0/23 | 224.218.58.1 to 224.218.59.254 | 224.218.59.255 | 510 |
| 31 | 224.218.60.0/23 | 224.218.60.1 to 224.218.61.254 | 224.218.61.255 | 510 |
| 32 | 224.218.62.0/23 | 224.218.62.1 to 224.218.63.254 | 224.218.63.255 | 510 |
| 33 | 224.218.64.0/23 | 224.218.64.1 to 224.218.65.254 | 224.218.65.255 | 510 |
| 34 | 224.218.66.0/23 | 224.218.66.1 to 224.218.67.254 | 224.218.67.255 | 510 |
| 35 | 224.218.68.0/23 | 224.218.68.1 to 224.218.69.254 | 224.218.69.255 | 510 |
| 36 | 224.218.70.0/23 | 224.218.70.1 to 224.218.71.254 | 224.218.71.255 | 510 |
| 37 | 224.218.72.0/23 | 224.218.72.1 to 224.218.73.254 | 224.218.73.255 | 510 |
| 38 | 224.218.74.0/23 | 224.218.74.1 to 224.218.75.254 | 224.218.75.255 | 510 |
| 39 | 224.218.76.0/23 | 224.218.76.1 to 224.218.77.254 | 224.218.77.255 | 510 |
| 40 | 224.218.78.0/23 | 224.218.78.1 to 224.218.79.254 | 224.218.79.255 | 510 |
| 41 | 224.218.80.0/23 | 224.218.80.1 to 224.218.81.254 | 224.218.81.255 | 510 |
| 42 | 224.218.82.0/23 | 224.218.82.1 to 224.218.83.254 | 224.218.83.255 | 510 |
| 43 | 224.218.84.0/23 | 224.218.84.1 to 224.218.85.254 | 224.218.85.255 | 510 |
| 44 | 224.218.86.0/23 | 224.218.86.1 to 224.218.87.254 | 224.218.87.255 | 510 |
| 45 | 224.218.88.0/23 | 224.218.88.1 to 224.218.89.254 | 224.218.89.255 | 510 |
| 46 | 224.218.90.0/23 | 224.218.90.1 to 224.218.91.254 | 224.218.91.255 | 510 |
| 47 | 224.218.92.0/23 | 224.218.92.1 to 224.218.93.254 | 224.218.93.255 | 510 |
| 48 | 224.218.94.0/23 | 224.218.94.1 to 224.218.95.254 | 224.218.95.255 | 510 |
| 49 | 224.218.96.0/23 | 224.218.96.1 to 224.218.97.254 | 224.218.97.255 | 510 |
| 50 | 224.218.98.0/23 | 224.218.98.1 to 224.218.99.254 | 224.218.99.255 | 510 |
| 51 | 224.218.100.0/23 | 224.218.100.1 to 224.218.101.254 | 224.218.101.255 | 510 |
| 52 | 224.218.102.0/23 | 224.218.102.1 to 224.218.103.254 | 224.218.103.255 | 510 |
| 53 | 224.218.104.0/23 | 224.218.104.1 to 224.218.105.254 | 224.218.105.255 | 510 |
| 54 | 224.218.106.0/23 | 224.218.106.1 to 224.218.107.254 | 224.218.107.255 | 510 |
| 55 | 224.218.108.0/23 | 224.218.108.1 to 224.218.109.254 | 224.218.109.255 | 510 |
| 56 | 224.218.110.0/23 | 224.218.110.1 to 224.218.111.254 | 224.218.111.255 | 510 |
| 57 | 224.218.112.0/23 | 224.218.112.1 to 224.218.113.254 | 224.218.113.255 | 510 |
| 58 | 224.218.114.0/23 | 224.218.114.1 to 224.218.115.254 | 224.218.115.255 | 510 |
| 59 | 224.218.116.0/23 | 224.218.116.1 to 224.218.117.254 | 224.218.117.255 | 510 |
| 60 | 224.218.118.0/23 | 224.218.118.1 to 224.218.119.254 | 224.218.119.255 | 510 |
| 61 | 224.218.120.0/23 | 224.218.120.1 to 224.218.121.254 | 224.218.121.255 | 510 |
| 62 | 224.218.122.0/23 | 224.218.122.1 to 224.218.123.254 | 224.218.123.255 | 510 |
| 63 | 224.218.124.0/23 | 224.218.124.1 to 224.218.125.254 | 224.218.125.255 | 510 |
| 64 | 224.218.126.0/23 | 224.218.126.1 to 224.218.127.254 | 224.218.127.255 | 510 |
| 65 | 224.218.128.0/23 | 224.218.128.1 to 224.218.129.254 | 224.218.129.255 | 510 |
| 66 | 224.218.130.0/23 | 224.218.130.1 to 224.218.131.254 | 224.218.131.255 | 510 |
| 67 | 224.218.132.0/23 | 224.218.132.1 to 224.218.133.254 | 224.218.133.255 | 510 |
| 68 | 224.218.134.0/23 | 224.218.134.1 to 224.218.135.254 | 224.218.135.255 | 510 |
| 69 | 224.218.136.0/23 | 224.218.136.1 to 224.218.137.254 | 224.218.137.255 | 510 |
| 70 | 224.218.138.0/23 | 224.218.138.1 to 224.218.139.254 | 224.218.139.255 | 510 |
| 71 | 224.218.140.0/23 | 224.218.140.1 to 224.218.141.254 | 224.218.141.255 | 510 |
| 72 | 224.218.142.0/23 | 224.218.142.1 to 224.218.143.254 | 224.218.143.255 | 510 |
| 73 | 224.218.144.0/23 | 224.218.144.1 to 224.218.145.254 | 224.218.145.255 | 510 |
| 74 | 224.218.146.0/23 | 224.218.146.1 to 224.218.147.254 | 224.218.147.255 | 510 |
| 75 | 224.218.148.0/23 | 224.218.148.1 to 224.218.149.254 | 224.218.149.255 | 510 |
| 76 | 224.218.150.0/23 | 224.218.150.1 to 224.218.151.254 | 224.218.151.255 | 510 |
| 77 | 224.218.152.0/23 | 224.218.152.1 to 224.218.153.254 | 224.218.153.255 | 510 |
| 78 | 224.218.154.0/23 | 224.218.154.1 to 224.218.155.254 | 224.218.155.255 | 510 |
| 79 | 224.218.156.0/23 | 224.218.156.1 to 224.218.157.254 | 224.218.157.255 | 510 |
| 80 | 224.218.158.0/23 | 224.218.158.1 to 224.218.159.254 | 224.218.159.255 | 510 |
| 81 | 224.218.160.0/23 | 224.218.160.1 to 224.218.161.254 | 224.218.161.255 | 510 |
| 82 | 224.218.162.0/23 | 224.218.162.1 to 224.218.163.254 | 224.218.163.255 | 510 |
| 83 | 224.218.164.0/23 | 224.218.164.1 to 224.218.165.254 | 224.218.165.255 | 510 |
| 84 | 224.218.166.0/23 | 224.218.166.1 to 224.218.167.254 | 224.218.167.255 | 510 |
| 85 | 224.218.168.0/23 | 224.218.168.1 to 224.218.169.254 | 224.218.169.255 | 510 |
| 86 | 224.218.170.0/23 | 224.218.170.1 to 224.218.171.254 | 224.218.171.255 | 510 |
| 87 | 224.218.172.0/23 | 224.218.172.1 to 224.218.173.254 | 224.218.173.255 | 510 |
| 88 | 224.218.174.0/23 | 224.218.174.1 to 224.218.175.254 | 224.218.175.255 | 510 |
| 89 | 224.218.176.0/23 | 224.218.176.1 to 224.218.177.254 | 224.218.177.255 | 510 |
| 90 | 224.218.178.0/23 | 224.218.178.1 to 224.218.179.254 | 224.218.179.255 | 510 |
| 91 | 224.218.180.0/23 | 224.218.180.1 to 224.218.181.254 | 224.218.181.255 | 510 |
| 92 | 224.218.182.0/23 | 224.218.182.1 to 224.218.183.254 | 224.218.183.255 | 510 |
| 93 | 224.218.184.0/23 | 224.218.184.1 to 224.218.185.254 | 224.218.185.255 | 510 |
| 94 | 224.218.186.0/23 | 224.218.186.1 to 224.218.187.254 | 224.218.187.255 | 510 |
| 95 | 224.218.188.0/23 | 224.218.188.1 to 224.218.189.254 | 224.218.189.255 | 510 |
| 96 | 224.218.190.0/23 | 224.218.190.1 to 224.218.191.254 | 224.218.191.255 | 510 |
| 97 | 224.218.192.0/23 | 224.218.192.1 to 224.218.193.254 | 224.218.193.255 | 510 |
| 98 | 224.218.194.0/23 | 224.218.194.1 to 224.218.195.254 | 224.218.195.255 | 510 |
| 99 | 224.218.196.0/23 | 224.218.196.1 to 224.218.197.254 | 224.218.197.255 | 510 |
| 100 | 224.218.198.0/23 | 224.218.198.1 to 224.218.199.254 | 224.218.199.255 | 510 |
| 101 | 224.218.200.0/23 | 224.218.200.1 to 224.218.201.254 | 224.218.201.255 | 510 |
| 102 | 224.218.202.0/23 | 224.218.202.1 to 224.218.203.254 | 224.218.203.255 | 510 |
| 103 | 224.218.204.0/23 | 224.218.204.1 to 224.218.205.254 | 224.218.205.255 | 510 |
| 104 | 224.218.206.0/23 | 224.218.206.1 to 224.218.207.254 | 224.218.207.255 | 510 |
| 105 | 224.218.208.0/23 | 224.218.208.1 to 224.218.209.254 | 224.218.209.255 | 510 |
| 106 | 224.218.210.0/23 | 224.218.210.1 to 224.218.211.254 | 224.218.211.255 | 510 |
| 107 | 224.218.212.0/23 | 224.218.212.1 to 224.218.213.254 | 224.218.213.255 | 510 |
| 108 | 224.218.214.0/23 | 224.218.214.1 to 224.218.215.254 | 224.218.215.255 | 510 |
| 109 | 224.218.216.0/23 | 224.218.216.1 to 224.218.217.254 | 224.218.217.255 | 510 |
| 110 | 224.218.218.0/23 | 224.218.218.1 to 224.218.219.254 | 224.218.219.255 | 510 |
| 111 | 224.218.220.0/23 | 224.218.220.1 to 224.218.221.254 | 224.218.221.255 | 510 |
| 112 | 224.218.222.0/23 | 224.218.222.1 to 224.218.223.254 | 224.218.223.255 | 510 |
| 113 | 224.218.224.0/23 | 224.218.224.1 to 224.218.225.254 | 224.218.225.255 | 510 |
| 114 | 224.218.226.0/23 | 224.218.226.1 to 224.218.227.254 | 224.218.227.255 | 510 |
| 115 | 224.218.228.0/23 | 224.218.228.1 to 224.218.229.254 | 224.218.229.255 | 510 |
| 116 | 224.218.230.0/23 | 224.218.230.1 to 224.218.231.254 | 224.218.231.255 | 510 |
| 117 | 224.218.232.0/23 | 224.218.232.1 to 224.218.233.254 | 224.218.233.255 | 510 |
| 118 | 224.218.234.0/23 | 224.218.234.1 to 224.218.235.254 | 224.218.235.255 | 510 |
| 119 | 224.218.236.0/23 | 224.218.236.1 to 224.218.237.254 | 224.218.237.255 | 510 |
| 120 | 224.218.238.0/23 | 224.218.238.1 to 224.218.239.254 | 224.218.239.255 | 510 |
| 121 | 224.218.240.0/23 | 224.218.240.1 to 224.218.241.254 | 224.218.241.255 | 510 |
| 122 | 224.218.242.0/23 | 224.218.242.1 to 224.218.243.254 | 224.218.243.255 | 510 |
| 123 | 224.218.244.0/23 | 224.218.244.1 to 224.218.245.254 | 224.218.245.255 | 510 |
| 124 | 224.218.246.0/23 | 224.218.246.1 to 224.218.247.254 | 224.218.247.255 | 510 |
| 125 | 224.218.248.0/23 | 224.218.248.1 to 224.218.249.254 | 224.218.249.255 | 510 |
| 126 | 224.218.250.0/23 | 224.218.250.1 to 224.218.251.254 | 224.218.251.255 | 510 |
| 127 | 224.218.252.0/23 | 224.218.252.1 to 224.218.253.254 | 224.218.253.255 | 510 |
| 128 | 224.218.254.0/23 | 224.218.254.1 to 224.218.255.254 | 224.218.255.255 | 510 |
| 129 | 224.219.0.0/23 | 224.219.0.1 to 224.219.1.254 | 224.219.1.255 | 510 |
| 130 | 224.219.2.0/23 | 224.219.2.1 to 224.219.3.254 | 224.219.3.255 | 510 |
| 131 | 224.219.4.0/23 | 224.219.4.1 to 224.219.5.254 | 224.219.5.255 | 510 |
| 132 | 224.219.6.0/23 | 224.219.6.1 to 224.219.7.254 | 224.219.7.255 | 510 |
| 133 | 224.219.8.0/23 | 224.219.8.1 to 224.219.9.254 | 224.219.9.255 | 510 |
| 134 | 224.219.10.0/23 | 224.219.10.1 to 224.219.11.254 | 224.219.11.255 | 510 |
| 135 | 224.219.12.0/23 | 224.219.12.1 to 224.219.13.254 | 224.219.13.255 | 510 |
| 136 | 224.219.14.0/23 | 224.219.14.1 to 224.219.15.254 | 224.219.15.255 | 510 |
| 137 | 224.219.16.0/23 | 224.219.16.1 to 224.219.17.254 | 224.219.17.255 | 510 |
| 138 | 224.219.18.0/23 | 224.219.18.1 to 224.219.19.254 | 224.219.19.255 | 510 |
| 139 | 224.219.20.0/23 | 224.219.20.1 to 224.219.21.254 | 224.219.21.255 | 510 |
| 140 | 224.219.22.0/23 | 224.219.22.1 to 224.219.23.254 | 224.219.23.255 | 510 |
| 141 | 224.219.24.0/23 | 224.219.24.1 to 224.219.25.254 | 224.219.25.255 | 510 |
| 142 | 224.219.26.0/23 | 224.219.26.1 to 224.219.27.254 | 224.219.27.255 | 510 |
| 143 | 224.219.28.0/23 | 224.219.28.1 to 224.219.29.254 | 224.219.29.255 | 510 |
| 144 | 224.219.30.0/23 | 224.219.30.1 to 224.219.31.254 | 224.219.31.255 | 510 |
| 145 | 224.219.32.0/23 | 224.219.32.1 to 224.219.33.254 | 224.219.33.255 | 510 |
| 146 | 224.219.34.0/23 | 224.219.34.1 to 224.219.35.254 | 224.219.35.255 | 510 |
| 147 | 224.219.36.0/23 | 224.219.36.1 to 224.219.37.254 | 224.219.37.255 | 510 |
| 148 | 224.219.38.0/23 | 224.219.38.1 to 224.219.39.254 | 224.219.39.255 | 510 |
| 149 | 224.219.40.0/23 | 224.219.40.1 to 224.219.41.254 | 224.219.41.255 | 510 |
| 150 | 224.219.42.0/23 | 224.219.42.1 to 224.219.43.254 | 224.219.43.255 | 510 |
| 151 | 224.219.44.0/23 | 224.219.44.1 to 224.219.45.254 | 224.219.45.255 | 510 |
| 152 | 224.219.46.0/23 | 224.219.46.1 to 224.219.47.254 | 224.219.47.255 | 510 |
| 153 | 224.219.48.0/23 | 224.219.48.1 to 224.219.49.254 | 224.219.49.255 | 510 |
| 154 | 224.219.50.0/23 | 224.219.50.1 to 224.219.51.254 | 224.219.51.255 | 510 |
| 155 | 224.219.52.0/23 | 224.219.52.1 to 224.219.53.254 | 224.219.53.255 | 510 |
| 156 | 224.219.54.0/23 | 224.219.54.1 to 224.219.55.254 | 224.219.55.255 | 510 |
| 157 | 224.219.56.0/23 | 224.219.56.1 to 224.219.57.254 | 224.219.57.255 | 510 |
| 158 | 224.219.58.0/23 | 224.219.58.1 to 224.219.59.254 | 224.219.59.255 | 510 |
| 159 | 224.219.60.0/23 | 224.219.60.1 to 224.219.61.254 | 224.219.61.255 | 510 |
| 160 | 224.219.62.0/23 | 224.219.62.1 to 224.219.63.254 | 224.219.63.255 | 510 |
| 161 | 224.219.64.0/23 | 224.219.64.1 to 224.219.65.254 | 224.219.65.255 | 510 |
| 162 | 224.219.66.0/23 | 224.219.66.1 to 224.219.67.254 | 224.219.67.255 | 510 |
| 163 | 224.219.68.0/23 | 224.219.68.1 to 224.219.69.254 | 224.219.69.255 | 510 |
| 164 | 224.219.70.0/23 | 224.219.70.1 to 224.219.71.254 | 224.219.71.255 | 510 |
| 165 | 224.219.72.0/23 | 224.219.72.1 to 224.219.73.254 | 224.219.73.255 | 510 |
| 166 | 224.219.74.0/23 | 224.219.74.1 to 224.219.75.254 | 224.219.75.255 | 510 |
| 167 | 224.219.76.0/23 | 224.219.76.1 to 224.219.77.254 | 224.219.77.255 | 510 |
| 168 | 224.219.78.0/23 | 224.219.78.1 to 224.219.79.254 | 224.219.79.255 | 510 |
| 169 | 224.219.80.0/23 | 224.219.80.1 to 224.219.81.254 | 224.219.81.255 | 510 |
| 170 | 224.219.82.0/23 | 224.219.82.1 to 224.219.83.254 | 224.219.83.255 | 510 |
| 171 | 224.219.84.0/23 | 224.219.84.1 to 224.219.85.254 | 224.219.85.255 | 510 |
| 172 | 224.219.86.0/23 | 224.219.86.1 to 224.219.87.254 | 224.219.87.255 | 510 |
| 173 | 224.219.88.0/23 | 224.219.88.1 to 224.219.89.254 | 224.219.89.255 | 510 |
| 174 | 224.219.90.0/23 | 224.219.90.1 to 224.219.91.254 | 224.219.91.255 | 510 |
| 175 | 224.219.92.0/23 | 224.219.92.1 to 224.219.93.254 | 224.219.93.255 | 510 |
| 176 | 224.219.94.0/23 | 224.219.94.1 to 224.219.95.254 | 224.219.95.255 | 510 |
| 177 | 224.219.96.0/23 | 224.219.96.1 to 224.219.97.254 | 224.219.97.255 | 510 |
| 178 | 224.219.98.0/23 | 224.219.98.1 to 224.219.99.254 | 224.219.99.255 | 510 |
| 179 | 224.219.100.0/23 | 224.219.100.1 to 224.219.101.254 | 224.219.101.255 | 510 |
| 180 | 224.219.102.0/23 | 224.219.102.1 to 224.219.103.254 | 224.219.103.255 | 510 |
| 181 | 224.219.104.0/23 | 224.219.104.1 to 224.219.105.254 | 224.219.105.255 | 510 |
| 182 | 224.219.106.0/23 | 224.219.106.1 to 224.219.107.254 | 224.219.107.255 | 510 |
| 183 | 224.219.108.0/23 | 224.219.108.1 to 224.219.109.254 | 224.219.109.255 | 510 |
| 184 | 224.219.110.0/23 | 224.219.110.1 to 224.219.111.254 | 224.219.111.255 | 510 |
| 185 | 224.219.112.0/23 | 224.219.112.1 to 224.219.113.254 | 224.219.113.255 | 510 |
| 186 | 224.219.114.0/23 | 224.219.114.1 to 224.219.115.254 | 224.219.115.255 | 510 |
| 187 | 224.219.116.0/23 | 224.219.116.1 to 224.219.117.254 | 224.219.117.255 | 510 |
| 188 | 224.219.118.0/23 | 224.219.118.1 to 224.219.119.254 | 224.219.119.255 | 510 |
| 189 | 224.219.120.0/23 | 224.219.120.1 to 224.219.121.254 | 224.219.121.255 | 510 |
| 190 | 224.219.122.0/23 | 224.219.122.1 to 224.219.123.254 | 224.219.123.255 | 510 |
| 191 | 224.219.124.0/23 | 224.219.124.1 to 224.219.125.254 | 224.219.125.255 | 510 |
| 192 | 224.219.126.0/23 | 224.219.126.1 to 224.219.127.254 | 224.219.127.255 | 510 |
| 193 | 224.219.128.0/23 | 224.219.128.1 to 224.219.129.254 | 224.219.129.255 | 510 |
| 194 | 224.219.130.0/23 | 224.219.130.1 to 224.219.131.254 | 224.219.131.255 | 510 |
| 195 | 224.219.132.0/23 | 224.219.132.1 to 224.219.133.254 | 224.219.133.255 | 510 |
| 196 | 224.219.134.0/23 | 224.219.134.1 to 224.219.135.254 | 224.219.135.255 | 510 |
| 197 | 224.219.136.0/23 | 224.219.136.1 to 224.219.137.254 | 224.219.137.255 | 510 |
| 198 | 224.219.138.0/23 | 224.219.138.1 to 224.219.139.254 | 224.219.139.255 | 510 |
| 199 | 224.219.140.0/23 | 224.219.140.1 to 224.219.141.254 | 224.219.141.255 | 510 |
| 200 | 224.219.142.0/23 | 224.219.142.1 to 224.219.143.254 | 224.219.143.255 | 510 |
| 201 | 224.219.144.0/23 | 224.219.144.1 to 224.219.145.254 | 224.219.145.255 | 510 |
| 202 | 224.219.146.0/23 | 224.219.146.1 to 224.219.147.254 | 224.219.147.255 | 510 |
| 203 | 224.219.148.0/23 | 224.219.148.1 to 224.219.149.254 | 224.219.149.255 | 510 |
| 204 | 224.219.150.0/23 | 224.219.150.1 to 224.219.151.254 | 224.219.151.255 | 510 |
| 205 | 224.219.152.0/23 | 224.219.152.1 to 224.219.153.254 | 224.219.153.255 | 510 |
| 206 | 224.219.154.0/23 | 224.219.154.1 to 224.219.155.254 | 224.219.155.255 | 510 |
| 207 | 224.219.156.0/23 | 224.219.156.1 to 224.219.157.254 | 224.219.157.255 | 510 |
| 208 | 224.219.158.0/23 | 224.219.158.1 to 224.219.159.254 | 224.219.159.255 | 510 |
| 209 | 224.219.160.0/23 | 224.219.160.1 to 224.219.161.254 | 224.219.161.255 | 510 |
| 210 | 224.219.162.0/23 | 224.219.162.1 to 224.219.163.254 | 224.219.163.255 | 510 |
| 211 | 224.219.164.0/23 | 224.219.164.1 to 224.219.165.254 | 224.219.165.255 | 510 |
| 212 | 224.219.166.0/23 | 224.219.166.1 to 224.219.167.254 | 224.219.167.255 | 510 |
| 213 | 224.219.168.0/23 | 224.219.168.1 to 224.219.169.254 | 224.219.169.255 | 510 |
| 214 | 224.219.170.0/23 | 224.219.170.1 to 224.219.171.254 | 224.219.171.255 | 510 |
| 215 | 224.219.172.0/23 | 224.219.172.1 to 224.219.173.254 | 224.219.173.255 | 510 |
| 216 | 224.219.174.0/23 | 224.219.174.1 to 224.219.175.254 | 224.219.175.255 | 510 |
| 217 | 224.219.176.0/23 | 224.219.176.1 to 224.219.177.254 | 224.219.177.255 | 510 |
| 218 | 224.219.178.0/23 | 224.219.178.1 to 224.219.179.254 | 224.219.179.255 | 510 |
| 219 | 224.219.180.0/23 | 224.219.180.1 to 224.219.181.254 | 224.219.181.255 | 510 |
| 220 | 224.219.182.0/23 | 224.219.182.1 to 224.219.183.254 | 224.219.183.255 | 510 |
| 221 | 224.219.184.0/23 | 224.219.184.1 to 224.219.185.254 | 224.219.185.255 | 510 |
| 222 | 224.219.186.0/23 | 224.219.186.1 to 224.219.187.254 | 224.219.187.255 | 510 |
| 223 | 224.219.188.0/23 | 224.219.188.1 to 224.219.189.254 | 224.219.189.255 | 510 |
| 224 | 224.219.190.0/23 | 224.219.190.1 to 224.219.191.254 | 224.219.191.255 | 510 |
| 225 | 224.219.192.0/23 | 224.219.192.1 to 224.219.193.254 | 224.219.193.255 | 510 |
| 226 | 224.219.194.0/23 | 224.219.194.1 to 224.219.195.254 | 224.219.195.255 | 510 |
| 227 | 224.219.196.0/23 | 224.219.196.1 to 224.219.197.254 | 224.219.197.255 | 510 |
| 228 | 224.219.198.0/23 | 224.219.198.1 to 224.219.199.254 | 224.219.199.255 | 510 |
| 229 | 224.219.200.0/23 | 224.219.200.1 to 224.219.201.254 | 224.219.201.255 | 510 |
| 230 | 224.219.202.0/23 | 224.219.202.1 to 224.219.203.254 | 224.219.203.255 | 510 |
| 231 | 224.219.204.0/23 | 224.219.204.1 to 224.219.205.254 | 224.219.205.255 | 510 |
| 232 | 224.219.206.0/23 | 224.219.206.1 to 224.219.207.254 | 224.219.207.255 | 510 |
| 233 | 224.219.208.0/23 | 224.219.208.1 to 224.219.209.254 | 224.219.209.255 | 510 |
| 234 | 224.219.210.0/23 | 224.219.210.1 to 224.219.211.254 | 224.219.211.255 | 510 |
| 235 | 224.219.212.0/23 | 224.219.212.1 to 224.219.213.254 | 224.219.213.255 | 510 |
| 236 | 224.219.214.0/23 | 224.219.214.1 to 224.219.215.254 | 224.219.215.255 | 510 |
| 237 | 224.219.216.0/23 | 224.219.216.1 to 224.219.217.254 | 224.219.217.255 | 510 |
| 238 | 224.219.218.0/23 | 224.219.218.1 to 224.219.219.254 | 224.219.219.255 | 510 |
| 239 | 224.219.220.0/23 | 224.219.220.1 to 224.219.221.254 | 224.219.221.255 | 510 |
| 240 | 224.219.222.0/23 | 224.219.222.1 to 224.219.223.254 | 224.219.223.255 | 510 |
| 241 | 224.219.224.0/23 | 224.219.224.1 to 224.219.225.254 | 224.219.225.255 | 510 |
| 242 | 224.219.226.0/23 | 224.219.226.1 to 224.219.227.254 | 224.219.227.255 | 510 |
| 243 | 224.219.228.0/23 | 224.219.228.1 to 224.219.229.254 | 224.219.229.255 | 510 |
| 244 | 224.219.230.0/23 | 224.219.230.1 to 224.219.231.254 | 224.219.231.255 | 510 |
| 245 | 224.219.232.0/23 | 224.219.232.1 to 224.219.233.254 | 224.219.233.255 | 510 |
| 246 | 224.219.234.0/23 | 224.219.234.1 to 224.219.235.254 | 224.219.235.255 | 510 |
| 247 | 224.219.236.0/23 | 224.219.236.1 to 224.219.237.254 | 224.219.237.255 | 510 |
| 248 | 224.219.238.0/23 | 224.219.238.1 to 224.219.239.254 | 224.219.239.255 | 510 |
| 249 | 224.219.240.0/23 | 224.219.240.1 to 224.219.241.254 | 224.219.241.255 | 510 |
| 250 | 224.219.242.0/23 | 224.219.242.1 to 224.219.243.254 | 224.219.243.255 | 510 |
| 251 | 224.219.244.0/23 | 224.219.244.1 to 224.219.245.254 | 224.219.245.255 | 510 |
| 252 | 224.219.246.0/23 | 224.219.246.1 to 224.219.247.254 | 224.219.247.255 | 510 |
| 253 | 224.219.248.0/23 | 224.219.248.1 to 224.219.249.254 | 224.219.249.255 | 510 |
| 254 | 224.219.250.0/23 | 224.219.250.1 to 224.219.251.254 | 224.219.251.255 | 510 |
| 255 | 224.219.252.0/23 | 224.219.252.1 to 224.219.253.254 | 224.219.253.255 | 510 |
| 256 | 224.219.254.0/23 | 224.219.254.1 to 224.219.255.254 | 224.219.255.255 | 510 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |